#ifndef EPG_H
#define EPG_H


#include "EpgDataCap.h"
#include "EpgDataCapDllUtil.h"


class CEpgDataInfo {
	DWORD m_ServiceID;
	DWORD m_EventID;
	LPWSTR m_pszEventName;
	LPWSTR m_pszEventText;
	LPWSTR m_pszEventExtText;
	SYSTEMTIME m_stStartTime;
	DWORD m_Duration;
public:
	CEpgDataInfo(EPG_DATA_INFO *pInfo);
	~CEpgDataInfo();
	DWORD GetEventID() const { return m_EventID; }
	LPCWSTR GetEventName() const { return m_pszEventName; }
	LPCWSTR GetEventText() const { return m_pszEventText; }
	LPCWSTR GetEventExtText() const { return m_pszEventExtText; }
	const SYSTEMTIME &GetStartTime() const { return m_stStartTime; }
	DWORD GetDuration() const { return m_Duration; }
};


#endif
